#
# spec file for package xzap (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xzap
Copyright:    1993 The University of Newcastle upon Tyne
Group:        X11/Utilities
Provides:     xzap xzap11 
Autoreqprov:  on
Version:      1.1
Release:      392
Summary:      Tool to view X11 programs
Source: xzap-1.1.tar.gz
Patch: xzap-1.1.dif
Patch1: sf_warnings.dif

%description
This very useful tool displays the running applications. Using
this tool, applications which are not responding or can not
be found on the desktop any more can be killed easily.

Authors:
--------
    Gerry Tomlinson <gerry.tomlinson@newcastle.ac.uk>

SuSE series: xap

%prep
%setup
%patch
%patch1
if [ -f Imakefile ] ; then xmkmf -a ; fi

%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 

%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi

%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/X11R6/include/X11
%dir /usr/X11R6/include/X11/bitmaps
%dir /usr/X11R6/lib/X11/app-defaults
/usr/X11R6/bin/xzap
/usr/X11R6/bin/xzf
/usr/X11R6/include/X11/bitmaps/phone.bm
/usr/X11R6/include/X11/bitmaps/pirate.bm
/usr/X11R6/include/X11/bitmaps/pirate1.bm
/usr/X11R6/include/X11/bitmaps/pirate2.bm
/usr/X11R6/include/X11/bitmaps/runman.bm
/usr/X11R6/include/X11/bitmaps/stillman.bm
/usr/X11R6/include/X11/bitmaps/tick.bm
%config /usr/X11R6/lib/X11/app-defaults/Xzap
/usr/X11R6/lib/X11/xzap.help
%doc /usr/X11R6/man/man1/xzap.1x.gz
%doc /usr/X11R6/man/man1/xzf.1x.gz

%changelog -n xzap
* Tue May 22 2001 - fehr@suse.de
- fix pointer-cast-warnings on 64bit archs
* Thu Nov 23 2000 - fehr@suse.de
- add group tag
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Dec 10 1997 - fehr@suse.de
- fix wrong signal numbers in XZap.ad
* Wed Oct 08 1997 - fehr@suse.de
- prepare for automatic build of package
